Bug 91747 - Update Port: deskutils/everygui
Summary: Update Port: deskutils/everygui
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-01-13 10:20 UTC by Remington
Modified: 2006-01-15 14:36 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Remington 2006-01-13 10:20:01 UTC

This update simply changes my REINPLACE_CMD usage to a much prettier and easier to read format. Offers no change in functionality, so portversion does not need to be changed.

Fix: 

post-patch:
-       @${REINPLACE_CMD} -e 's,/usr/share,${PREFIX}/share,g' \
-               ${WRKSRC}/setup.py
+       @${FIND} ${WRKSRC} -name "*.py" | ${XARGS} ${REINPLACE_CMD} -e\
+               's,/usr/share,${PREFIX}/share,g'
        @${REINPLACE_CMD} -e 's,/usr/src/everygui,${PREFIX}/src/everygui,g' \
                ${WRKSRC}/everygui
        @${REINPLACE_CMD} -e 's,/usr/src,${PREFIX}/src,g' \
                ${WRKSRC}/egdesign
-       @${REINPLACE_CMD} -e 's,/usr/share,${PREFIX}/share,g' \
-               ${WRKSRC}/src/everygui.py
-       @${REINPLACE_CMD} -e 's,/usr/share,${PREFIX}/share,g' \
-               ${WRKSRC}/src/designer.py

 do-install:
        cd ${WRKSRC} ; python -d ${WRKSRC}/setup.py install --prefix=${PREFIX}--eJ5Js3oUWqAo2vLVH2xmGlsCmLzqSo3cd9r37Nx94PD82aKt
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig       Fri Jan 13 02:12:11 2006
+++ Makefile    Fri Jan 13 02:12:49 2006
@@ -24,16 +24,12 @@
 WRKSRC=                ${WRKDIR}/${PORTNAME}
Comment 1 Ion-Mihai " IOnut " Tetcu 2006-01-13 10:35:42 UTC
On Fri, 13 Jan 2006 02:17:14 -0800
Remington <mrl0lz@gmail.com> wrote:

> 
> >Number:         91747
> >Category:       ports
> >Synopsis:       Update Port: deskutils/everygui

Please do a follow-up to the original PR next time, this way it's only
one PR to close, you don't risk the commiter to missing your other PR,
etc.


-- 
IOnut - Unregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #104:
backup tape overwritten with copy of system manager's favourite CD
Comment 2 Remington 2006-01-13 10:44:51 UTC
On Fri, 2006-01-13 at 12:35 +0200, Ion-Mihai Tetcu wrote:
> On Fri, 13 Jan 2006 02:17:14 -0800
> Remington <mrl0lz@gmail.com> wrote:
> 
> > 
> > >Number:         91747
> > >Category:       ports
> > >Synopsis:       Update Port: deskutils/everygui
> 
> Please do a follow-up to the original PR next time, this way it's only
> one PR to close, you don't risk the commiter to missing your other PR,
> etc.
> 
> 

Np, next time I will follow-up. thanks
Comment 3 Pav Lucistnik freebsd_committer 2006-01-15 14:36:22 UTC
State Changed
From-To: open->closed

New port added, thank you!